> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ziik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a post

> Updates an existing post.



## OpenAPI

````yaml /openapi.yaml patch /content/{content}
openapi: 3.0.0
info:
  title: Ziik API
  version: '1.0'
servers: []
security: []
tags:
  - name: Auth
    description: Auth
  - name: Posts
    description: Posts
  - name: Counters
    description: Counters
  - name: Groups
    description: Groups
  - name: Languages
    description: Languages
  - name: Timezones
    description: Timezones
  - name: Units
    description: Units
  - name: User unit memberships
    description: User unit memberships
  - name: Users
    description: Users
  - name: User types
    description: User types
  - name: Conversations
    description: Conversations
paths:
  /content/{content}:
    patch:
      tags:
        - Posts
      summary: Update a post
      description: Updates an existing post.
      operationId: e22dfe45316e49713d6a3c653849a493
      parameters:
        - name: content
          in: path
          description: Content ID
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                title:
                  type: string
                  maxLength: 255
                  nullable: true
                body:
                  type: string
                  nullable: true
                visibility:
                  properties:
                    all_units:
                      type: boolean
                      nullable: true
                    units:
                      type: array
                      items:
                        type: integer
                    units_falldown:
                      type: array
                      items:
                        type: integer
                    userTypes:
                      type: array
                      items:
                        type: integer
                  type: object
                sharing:
                  properties:
                    shares:
                      type: array
                      items:
                        type: integer
                      nullable: true
                  type: object
                comments:
                  properties:
                    enabled:
                      type: boolean
                  type: object
                confirm:
                  properties:
                    enabled:
                      description: Require read confirmation
                      type: boolean
                  type: object
                show_in_feed:
                  description: Show post in feed
                  type: boolean
                publish:
                  properties:
                    status:
                      type: boolean
                      nullable: true
                    publish_on:
                      description: Unix timestamp for when to publish
                      type: integer
                      nullable: true
                    unpublish_on:
                      description: Unix timestamp for when to unpublish
                      type: integer
                      nullable: true
                  type: object
                important:
                  description: Mark post as important
                  type: boolean
                poll:
                  properties:
                    question:
                      type: string
                      maxLength: 512
                    type:
                      description: Poll type
                      type: string
                    close_at:
                      description: Unix timestamp for when the poll closes
                      type: integer
                      nullable: true
                    allow_user_choices:
                      type: boolean
                    anonymous:
                      type: boolean
                    mandatory:
                      type: boolean
                    choices:
                      type: array
                      items:
                        properties:
                          id:
                            description: Existing choice ID when updating
                            type: integer
                            nullable: true
                          title:
                            type: string
                            maxLength: 255
                        type: object
                  type: object
                  nullable: true
                pinned:
                  properties:
                    show_in_main_feed:
                      type: boolean
                    until:
                      description: Unix timestamp for when pinning ends
                      type: integer
                  type: object
                  nullable: true
                event:
                  properties:
                    location:
                      type: string
                      nullable: true
                    link:
                      type: string
                      nullable: true
                    all_day:
                      type: boolean
                    datetime_start:
                      description: Start datetime in ISO 8601
                      type: string
                      nullable: true
                    datetime_end:
                      description: End datetime in ISO 8601
                      type: string
                      nullable: true
                    participation:
                      properties:
                        enabled:
                          type: boolean
                      type: object
                      nullable: true
                    recurrence:
                      properties:
                        freq:
                          type: string
                        until:
                          type: string
                          format: date-time
                          nullable: true
                        count:
                          type: integer
                          nullable: true
                        interval:
                          type: integer
                        bymonthday:
                          type: integer
                          nullable: true
                        bymonth:
                          type: integer
                          nullable: true
                        bysetpos:
                          type: integer
                          nullable: true
                      type: object
                      nullable: true
                    repeat_rules:
                      type: string
                      nullable: true
                    end_date:
                      type: string
                      format: date
                      nullable: true
                    timezone:
                      type: string
                  type: object
                  nullable: true
              type: object
      responses:
        '204':
          description: Post updated

````